"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "install/index.php" between
opendocman-1.3.7.tar.gz and opendocman-1.3.8-release.tar.gz

About: OpenDocman is a document management system (DMS) designed to comply with ISO 17025 and OIE standard for document management (using PHP, MySQL).

index.php  (opendocman-1.3.7):index.php  (opendocman-1.3.8-release)
skipping to change at line 45 skipping to change at line 45
<p>OpenDocMan requires that your web server is running PHP. Your server does not have PHP installed, or PHP is <p>OpenDocMan requires that your web server is running PHP. Your server does not have PHP installed, or PHP is
turned off.</p> turned off.</p>
</body> </body>
</html> </html>
<?php <?php
exit; exit;
} }
session_start(); session_start();
define('REQUIRED_DB_VERSION', '1.3.6');
if (file_exists('../config.php') && (!isset($_SESSION['datadir']))) { if (file_exists('../config.php') && (!isset($_SESSION['datadir']))) {
include('../odm-load.php'); include('../odm-load.php');
include_once('../version.php'); include_once('../version.php');
$db_version = Settings::get_db_version($GLOBALS['CONFIG']['db_prefix']); $db_version = Settings::get_db_version($GLOBALS['CONFIG']['db_prefix']);
if ($db_version == REQUIRED_DB_VERSION) { if ($db_version == REQUIRED_DB_VERSION) {
echo "<p>Looks like you don't need to update anything. If you need to re -install, please delete your config.php file first. You may then <a href='./'>tr y again</a>.</p>"; echo "<p>Looks like you don't need to update anything. If you need to re -install, please delete your config.php file first. You may then <a href='./'>tr y again</a>.</p>";
exit; exit;
} }
} }
// Search for the config file in parent folder // Search for the config file in parent folder
skipping to change at line 558 skipping to change at line 560
<td> <td>
<a href="index.php?op=install" class="button" onclick="return confir m('Are you sure? This will modify the database you have configured in config.php . Only use this option for a FRESH INSTALL.')"> <a href="index.php?op=install" class="button" onclick="return confir m('Are you sure? This will modify the database you have configured in config.php . Only use this option for a FRESH INSTALL.')">
Click HERE To set up database for v<?php echo $GLOBALS['CONFIG'] ['current_version']; Click HERE To set up database for v<?php echo $GLOBALS['CONFIG'] ['current_version'];
?> release of OpenDocMan </a><br /><br /> ?> release of OpenDocMan </a><br /><br />
</td> </td>
<?php <?php
} elseif ($is_upgrade) { } elseif ($is_upgrade) {
?> ?>
<tr> <tr>
<td>Your current Database schema version: <strong><?php echo e::h($d b_version); <td>Your current Database schema version: <strong><?php echo(htmlent ities($db_version));
?></strong><br/><br/> ?></strong><br/><br/>
Required Database schema version: <?php echo REQUIRED_DB_VERSION ; Required Database schema version: <?php echo REQUIRED_DB_VERSION ;
?><br/><br /> ?><br/><br />
</td> </td>
</tr> </tr>
<tr> <tr>
<td>Upgrade your current database from a previous version<br/><br/>< /td> <td>Upgrade your current database from a previous version<br/><br/>< /td>
</tr> </tr>
<tr> <tr>
<td><a href="index.php?op=update_130">Upgrade from DB schema version 1.3.0</a><br><br></td> <td><a href="index.php?op=update_130">Upgrade from DB schema version 1.3.0</a><br><br></td>
 End of changes. 2 change blocks. 
1 lines changed or deleted 3 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)